! Este programa calcula o peso ideal e o IMC de uma pessoa. 
PROGRAM peso_ideal_e_imc
	implicit none
    REAL :: peso, altura, peso_ideal, imc
    Character *15 nome
    Character *1 sexo

    WRITE (*, *) "Este programa calcula o peso ideal e o IMC de uma pessoa."
    WRITE (*, *) 
    
   	WRITE (*,*) "Digite o nome da pessoa"
    READ (*,*) nome

    WRITE (*,*) "Digite o sexo(M/F)"
    READ (*,*) sexo
    
    WRITE (*, *) "Digite o peso e a altura da pessoa: "
    READ (*, *) peso,altura

	IF(sexo == 'M'.OR. sexo == 'm') THEN
    	peso_ideal = 72.7 * altura - 58
	ELSE
     	peso_ideal= 62.1 * altura - 44.7
   	END IF

    IF(peso > peso_ideal) THEN 
	    WRITE(*,*) "Precisa perder", peso - peso_ideal, "Kg"
    END IF
   
    imc = peso /altura**2
    
    WRITE (*, *) Nome, " seu peso ideal eh", peso_ideal, " e Seu IMC eh ", imc
    
    STOP
END PROGRAM peso_ideal_e_imc